hep.aida.bin

## Interface BinFunction1D

    public interface BinFunction1D

Interface that represents a function object: a function that takes two bins as arguments and returns a single value.

### Method Summary

Methods
`double` `apply(DynamicBin1D x)` Applies a function to one bin argument.
`java.lang.String` `name()` Returns the name of this function.

### Method Detail

#### apply

    double apply(DynamicBin1D x)

Applies a function to one bin argument.

Parameters:
  `x` - the argument passed to the function.
Returns:
  the result of the function.

#### name

    java.lang.String name()

Returns the name of this function.

Returns:
  the name of this function.